controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Continente;
use app\models\Lugardestino;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    public function actionContinentes()
    {
        $continentes = Continente::find()->all();

        return $this->render('continentes', [
            'continentes' => $continentes
        ]);
    }

    public function actionLugares($id)
    {
        $datos = Lugardestino::find()->where(['continente' => $id])->all();

        return $this->render("lugares", [
            "datos" => $datos,

        ]);
    }

    public function actionVerlugar($idLugar)
    {
        $consulta = Lugardestino::find()->where(['idLugar' => $idLugar]);

        $dato = $consulta->one();

        return $this->render('verlugar', [
            'dato' => $dato,
        ]);
    }
}

views/site/_lugares.php
<?php

use yii\helpers\Html;

?>

<div class="lugar">

    <h3><?= $dato['lugar'] ?></h3>


    <p><?= $dato['pais'] ?></p>

    <p>
        <?php
        if (isset($dato['foto'])) {
            echo Html::img("@web/imgs/{$dato['foto']}", ['style' => 'width:200px;height: 200px', 'class' => 'img-thumbnail']);
        } else {
            echo  Html::img("@web/imgs/notfound.jpg", ['style' => 'width:200px;height: 200px', 'class' => 'img-thumbnail']);
        }
        ?>
    </p>

    <?= Html::a('Más detalles', ['site/verlugar', 'idLugar' => $dato->idLugar], ['class' => 'botonDetalles']) ?>

</div>

views/site/continentes.php
<?php

use yii\helpers\Html;

?>
<div class="row">
    <?php
    foreach ($continentes as $continente) {
    ?>
        <div class="col-4 mb-3">
            <div class="card cartas">
                <div class="card-body">
                    <h5 class="card-title"><?= $continente->continente ?></h5>
                    <?= Html::a('Ver lugares', ['site/lugares', 'id' => $continente->id], ['class' => 'btn btn-light']) ?>

                </div>
            </div>
        </div>
    <?php
    }
    ?>
</div>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/** @var yii\web\View $this */

use yii\helpers\Html;

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron text-center bg-transparent mt-5 mb-5">
        <h1 class="display-4" style="color:purple;">Viaja por placer, no para escapar de la rutina</h1>
    </div>

    <div class="body-content">
        <div style="text-align: center;">
            <?php
            echo Html::img('@web/imgs/mapa.png', ['class' => 'img-fluid'])
            ?>
        </div>
    </div>
</div>

views/site/login.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */

/** @var app\models\LoginForm $model */

use yii\bootstrap5\ActiveForm;
use yii\bootstrap5\Html;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <div class="row">
        <div class="col-lg-5">

            <?php $form = ActiveForm::begin([
                'id' => 'login-form',
                'fieldConfig' => [
                    'template' => "{label}\n{input}\n{error}",
                    'labelOptions' => ['class' => 'col-lg-1 col-form-label mr-lg-3'],
                    'inputOptions' => ['class' => 'col-lg-3 form-control'],
                    'errorOptions' => ['class' => 'col-lg-7 invalid-feedback'],
                ],
            ]); ?>

            <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

            <?= $form->field($model, 'password')->passwordInput() ?>

            <?= $form->field($model, 'rememberMe')->checkbox([
                'template' => "<div class=\"custom-control custom-checkbox\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
            ]) ?>

            <div class="form-group">
                <div>
                    <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
                </div>
            </div>

            <?php ActiveForm::end(); ?>

            <div style="color:#999;">
                You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
                To modify the username/password, please check out the code <code>app\models\User::$users</code>.
            </div>

        </div>
    </div>
</div>

views/site/lugares.php
<div class="contenedor">
    <div class="conjuntoLugares">
        <?php
        foreach ($datos as $dato) {
            echo $this->render('_lugares', [
                'dato' => $dato,
            ]);
        }

        ?>
    </div>
</div>

views/site/verlugar.php
<?php

use yii\helpers\Html;
?>

<h2 style="text-align: center;margin:25px"> <?= $dato->lugar ?></h2>
<table class="tablaLugar">
    <tr>
        <td>Lugar</td>
        <td><?= $dato->lugar ?></td>
    </tr>
    <tr>
        <td>País</td>
        <td><?= $dato->pais ?></td>
    </tr>
    <tr>
        <td>Foto</td>
        <td><?= Html::img("@web/imgs/{$dato->foto}", ['width' => '600px', 'class' => 'img-fluid']) ?></td>
    </tr>

    <tr>
        <td>Fecha de inicio</td>
        <td><?= $dato->fechaEspana($dato->fechaIncicio) ?></td>
    </tr>
    <tr>
        <td>Fecha final</td>
        <td><?= $dato->fechaEspana($dato->fechaFinal) ?></td>
    </tr>
    <tr>
        <td>Lugares a visitar</td>
        <td> <?= $dato->lugaresAVisitar ?></td>
    </tr>
    <tr>
        <td>Gastronomía</td>
        <td> <?= $dato->gastronomia ?></td>
    </tr>
    <tr>
        <td>Historia</td>
        <td> <?= $dato->historia ?></td>
    </tr>
    <tr>
        <td>Continente</td>
        <td> <?= $dato->continente0->continente ?></td>
    </tr>

</table>